> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tag

> Create a new tag within a project



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json post /tags
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /tags:
    post:
      tags:
        - Project
      summary: Create Tag
      description: Create a new tag within a project
      operationId: postTags
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                color:
                  default: gray
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
              required:
                - name
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                color:
                  default: gray
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
              required:
                - name
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                color:
                  default: gray
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
              required:
                - name
      responses:
        '201':
          description: Tag created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: tg_23abec5b-100a-4261-9ee7-1effe68f0149
                required:
                  - id
                description: Tag created successfully
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````